%define	name	guile-oops
%define version	1.0.2
%define release	1
%define prefix	/usr

%define	guile	1.4

Summary:	Guile Object Oriented Programming System.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		Development/Languages
Url:		ftp://ftp.gnu.org/pub/gnu/guile/
Vendor:		Mikael Djurfeldt <djurfeldt@nada.kth.se>
Source:		ftp://ftp.gnu.org/pub/gnu/guile/~mdj/%{name}-%{version}.tar.gz
Buildroot:	%{_tmppath}/%{name}-%{version}-root
Prereq:		/sbin/install-info
Requires:	guile = %{guile}
BuildPrereq:	guile = %{guile}

%description
GOOPS is the object oriented extention to Guile. Its implementation is
derived from STk-3.99.3 by Erick Gallesio and version 1.3 of the
Gregor Kickzales Tiny-Clos.  It is very close to CLOS, the Common Lisp
Object System but is adapted for the Scheme language.

Briefly stated, the GOOPS extension gives the user a full object
oriented system with multiple inheritance and generic functions with
multi-method dispatch.  Furthermore, the whole implementation relies
on a true meta object protocol, in the spirit of the one defined for
CLOS (Gregor Kiczales: A Metaobject Protocol).

%package	devel
Summary:	The libraries and header files for the GOOPS
Group:		Development/Libraries
Requires:	%{name} = %{version}, guile-devel = %{guile}
BuildPrereq:	guile-devel = %{guile}

%description	devel
The guile-oops-devel package includes the libraries, header files, etc., that
you'll need to develop applications that are linked with the GOOPS

You need to install the guile-devel package if you want to develop
applications that will be linked to GOOPS.  You'll also need to install
the guile package.

%prep
%setup -q

%build
%configure --prefix=%{prefix}

make

%install
[ -d ${RPM_BUILD_ROOT} ] && rm -rf ${RPM_BUILD_ROOT};
make DESTDIR=${RPM_BUILD_ROOT} install

pushd ${RPM_BUILD_ROOT}
chmod +x .%{prefix}/lib/libgoopscore.so.*.0.0
gzip -9nf .%{prefix}/info/goops*
ln -sf ../../../../lib/libgoopscore.la .%{prefix}/share/guile/%{guile}/oop/goops
ln -sf ../../../../lib/libgoopscore.so.4 .%{prefix}/share/guile/%{guile}/oop/goops
popd

%clean
[ -d ${RPM_BUILD_ROOT} ] && rm -rf ${RPM_BUILD_ROOT};

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post devel
/sbin/install-info /usr/info/goops.info.gz /usr/info/dir

%preun devel
/sbin/install-info --delete /usr/info/goops.info.gz /usr/info/dir

%files
%defattr(-,root,root)
%doc ANON-CVS AUTHORS COPYING COPYRIGHTS ChangeLog HACKING INSTALL NEWS README SNAPSHOTS THANKS TODO
%{prefix}/lib/libgoopscore.so.*
%{prefix}/share/guile/%{guile}/oop/goops
%{prefix}/share/guile/%{guile}/oop/goops.scm

%files devel
%defattr(-,root,root)
%{prefix}/bin/guile-oops
%{prefix}/lib/lib*so
%{prefix}/lib/lib*a
%{prefix}/include/goops
%{prefix}/include/goops-snarf.h
%{prefix}/include/goops.h
%{prefix}/info/goops*

%changelog
* Sat Mar 10 2001 Ryan Weaver <ryanw@infohwy.com>
  [guile-oops-1.0.2-1]
- Updated the NEWS file with some lacking history
- Important bugfix to the configure script
- Updated documentation to reflect new method syntax
- define-method: New syntax mandatory.

* Thu Mar  8 2001 Ryan Weaver <ryanw@infohwy.com>
  [guile-oops-1.0.0-1]
- Updated to version 1.0.0. See ChangeLog and NEWS for details.

* Fri Jun 30 2000 Ryan Weaver <ryanw@infohwy.com>
  [guile-oops-0.9.0-1]
- This is a bug fix release which corrects a couple of
  serious bugs in GOOPS 0.1.8. (The version number is
  intended to show that GOOPS 1.0 is approaching.)

* Wed Jun 21 2000 Ryan Weaver <ryanw@infohwy.com>
  [guile-oops-0.1.8-1]
- Updated to version 0.1.8. See ChangeLog and NEWS for details.

* Mon Dec 20 1999 Ryan Weaver <ryanw@infohwy.com>
  [guile-oops-0.1.6-1]
- Updated to version 0.1.6. See ChangeLog and NEWS for details.

* Wed Aug 25 1999 Ryan Weaver <ryanw@infohwy.com>
  [guile-oops-0.1.2-1]
- Initial RPM Build

